<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.error.ErrorNode</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.error-module.html">Module&nbsp;error</a> ::
        Class&nbsp;ErrorNode
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class ErrorNode</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode">source&nbsp;code</a></span></p>
<dl><dt>Known Subclasses:</dt>
<dd>
      <ul class="subclass-list">
<li><a href="pyxmpp.error.StanzaErrorNode-class.html">StanzaErrorNode</a></li><li>, <a href="pyxmpp.error.StreamErrorNode-class.html">StreamErrorNode</a></li>  </ul>
</dd></dl>

<hr />
Base class for both XMPP stream and stanza errors

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.error.ErrorNode-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode_or_cond</span>,
        <span class="summary-sig-arg">ns</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">copy</span>=<span class="summary-sig-default">True</span>,
        <span class="summary-sig-arg">parent</span>=<span class="summary-sig-default">None</span>)</span><br />
      Initialize an ErrorNode object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.error.ErrorNode-class.html#__from_xml" class="summary-sig-name" onclick="show_private();">__from_xml</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>,
        <span class="summary-sig-arg">ns</span>,
        <span class="summary-sig-arg">copy</span>,
        <span class="summary-sig-arg">parent</span>)</span><br />
      Initialize an ErrorNode object from an XML node.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.__from_xml">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__del__"></a><span class="summary-sig-name">__del__</span>(<span class="summary-sig-arg">self</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.__del__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="free"></a><span class="summary-sig-name">free</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Free the associated XML node.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.free">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="free_borrowed"></a><span class="summary-sig-name">free_borrowed</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Free the associated &quot;borrowed&quot; XML node.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.free_borrowed">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">bool</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.error.ErrorNode-class.html#is_legacy" class="summary-sig-name">is_legacy</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Check if the error node is a legacy error element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.is_legacy">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.error.ErrorNode-class.html#xpath_eval" class="summary-sig-name">xpath_eval</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">expr</span>,
        <span class="summary-sig-arg">namespaces</span>=<span class="summary-sig-default">None</span>)</span><br />
      Evaluate XPath expression on the error element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.xpath_eval">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">libxml2.xmlNode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.error.ErrorNode-class.html#get_condition" class="summary-sig-name">get_condition</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ns</span>=<span class="summary-sig-default">None</span>)</span><br />
      Get the condition element of the error.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.get_condition">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.error.ErrorNode-class.html#get_text" class="summary-sig-name">get_text</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the description text from the error element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.get_text">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">libxml2.xmlNode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.error.ErrorNode-class.html#add_custom_condition" class="summary-sig-name">add_custom_condition</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ns</span>,
        <span class="summary-sig-arg">cond</span>,
        <span class="summary-sig-arg">content</span>=<span class="summary-sig-default">None</span>)</span><br />
      Add custom condition element to the error.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.add_custom_condition">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.error.ErrorNode-class.html#upgrade" class="summary-sig-name">upgrade</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Upgrade a legacy error element to the XMPP compliant one.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.upgrade">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.error.ErrorNode-class.html#downgrade" class="summary-sig-name">downgrade</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Downgrade an XMPP error element to the legacy format.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.downgrade">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">str</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.error.ErrorNode-class.html#serialize" class="summary-sig-name">serialize</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Serialize the element node.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.serialize">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode_or_cond</span>,
        <span class="sig-arg">ns</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">copy</span>=<span class="sig-default">True</span>,
        <span class="sig-arg">parent</span>=<span class="sig-default">None</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize an ErrorNode object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode_or_cond</code></strong> (: <code class="link">libxml2.xmlNode</code> or <code class="link">unicode</code>) - : XML node to be wrapped into this object
or error condition name.</li>
        <li><strong class="pname"><code>ns</code></strong> (: <code class="link">unicode</code>) - : XML namespace URI of the error condition element (to be
used when the provided node has no namespace).</li>
        <li><strong class="pname"><code>copy</code></strong> (: <code class="link">bool</code>) - : When <code class="link">True</code> then the XML node will be copied,
otherwise it is only borrowed.</li>
        <li><strong class="pname"><code>parent</code></strong> (: <code class="link">libxml2.xmlNode</code>) - : Parent node for the XML node to be copied or created.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="__from_xml"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__from_xml</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>,
        <span class="sig-arg">ns</span>,
        <span class="sig-arg">copy</span>,
        <span class="sig-arg">parent</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.__from_xml">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize an ErrorNode object from an XML node.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode</code></strong> (: <code class="link">libxml2.xmlNode</code>) - : XML node to be wrapped into this object.</li>
        <li><strong class="pname"><code>ns</code></strong> (: <code class="link">unicode</code>) - : XML namespace URI of the error condition element (to be
used when the provided node has no namespace).</li>
        <li><strong class="pname"><code>copy</code></strong> (: <code class="link">bool</code>) - : When <code class="link">True</code> then the XML node will be copied,
otherwise it is only borrowed.</li>
        <li><strong class="pname"><code>parent</code></strong> (: <code class="link">libxml2.xmlNode</code>) - : Parent node for the XML node to be copied or created.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="is_legacy"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">is_legacy</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.is_legacy">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Check if the error node is a legacy error element.
  <dl class="fields">
    <dt>Returns: <code class="link">bool</code></dt>
        <dd><code class="link">True</code> if it is a legacy error.</dd>
  </dl>
</td></tr></table>
</div>
<a name="xpath_eval"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">xpath_eval</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">expr</span>,
        <span class="sig-arg">namespaces</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.xpath_eval">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Evaluate XPath expression on the error element.</p>
<p>The expression will be evaluated in context where the common namespace
(the one used for stanza elements, mapped to 'jabber:client',
'jabber:server', etc.) is bound to prefix &quot;ns&quot; and other namespaces are
bound accordingly to the <code class="link">namespaces</code> list.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>expr</code></strong> (: <code class="link">unicode</code>) - : the XPath expression.</li>
        <li><strong class="pname"><code>namespaces</code></strong> (: <code class="link">dict</code>) - : prefix to namespace mapping.</li>
    </ul></dd>
    <dt>Returns:</dt>
        <dd>the result of the expression evaluation.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_condition"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_condition</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">ns</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.get_condition">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the condition element of the error.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ns</code></strong> (: <code class="link">unicode</code>) - : namespace URI of the condition element if it is not
the XMPP namespace of the error element.</li>
    </ul></dd>
    <dt>Returns: <code class="link">libxml2.xmlNode</code></dt>
        <dd>the condition element or <code class="link">None</code>.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_text"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_text</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.get_text">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the description text from the error element.
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>the text provided with the error or <code class="link">None</code>.</dd>
  </dl>
</td></tr></table>
</div>
<a name="add_custom_condition"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">add_custom_condition</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">ns</span>,
        <span class="sig-arg">cond</span>,
        <span class="sig-arg">content</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.add_custom_condition">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Add custom condition element to the error.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ns</code></strong> (: <code class="link">unicode</code>) - : namespace URI.</li>
        <li><strong class="pname"><code>cond</code></strong> (: <code class="link">unicode</code>) - : condition name.</li>
        <li><strong class="pname"><code>content</code></strong> (: <code class="link">unicode</code>) - : content of the element.</li>
    </ul></dd>
    <dt>Returns: <code class="link">libxml2.xmlNode</code></dt>
        <dd>the new condition element.</dd>
  </dl>
</td></tr></table>
</div>
<a name="upgrade"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">upgrade</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.upgrade">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Upgrade a legacy error element to the XMPP compliant one.</p>
<p>Use the error code provided to select the condition and the
&lt;error/&gt; CDATA for the error text.</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="downgrade"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">downgrade</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.downgrade">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Downgrade an XMPP error element to the legacy format.</p>
<p>Add a numeric code attribute according to the condition name.</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="serialize"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">serialize</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.error-pysrc.html#ErrorNode.serialize">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Serialize the element node.
  <dl class="fields">
    <dt>Returns: <code class="link">str</code></dt>
        <dd>serialized element in UTF-8 encoding.</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:34:59 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
